Update mDoc status
/v2/credentials/mobile/{credentialId}/statusSets the status of an existing mDoc by providing its credentialId and the new status.
MATTR VII implements Draft 14 of the IETF Token Status List specification, which uses 1-bit encoding. The available status values are:
- valid - Credential is valid
- invalid - Credential is invalid (cannot be reversed)
Roles
Analytics Events
Authorization
bearerAuth In: header
Path Parameters
mDoc identifier
uuidRequest Body
application/json
Credential status payload
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v2/credentials/mobile/3948c40e-6e19-4ffc-933c-91f643f24264/status" \ -H "Content-Type: application/json" \ -d '{ "status": "valid" }'{ "status": "valid"}How would you rate this page?
Status list distribution GET
Retrieves an object that details all existing Status lists tokens on the tenant. This public endpoint allows a relying party to consume and cache status lists. Each list in the response includes a URL where its token can be retrieved. Status list tokens that were signed by expired IACAs are excluded from the response. This endpoint is intended for public consumption, and as such does not require authentication. **Response Format**: MATTR VII implements Draft 14 of the IETF Token Status List specification, so `status_lists` is an array of URL strings: `{"status_lists": ["https://..."]}` Tenants that issued credentials before adopting Draft 14 also serve those Status lists in the earlier format, where `status_lists` is an array of objects: `{"status_lists": [{"uri": "https://..."}]}`. Relying parties should handle both shapes.
Retrieve mDoc status GET
Retrieves the status of an existing mDoc by providing its `credentialId`.